summaryrefslogtreecommitdiff
path: root/tools/linux_packaging/ardour.sh.in
diff options
context:
space:
mode:
authorTodd Naugle <toddn@glw.com>2011-02-25 22:05:15 +0000
committerTodd Naugle <toddn@glw.com>2011-02-25 22:05:15 +0000
commite18cebd6d716d5a24960eb0c834db6a22cc2d67f (patch)
tree575f5d126f2f3ee168e8570bc89830d65398ebb6 /tools/linux_packaging/ardour.sh.in
parent5d86418fd2294f7b573eb8e41dca2bbb6ef37a3a (diff)
merge in changes from 2.0 ongoing. Includes the build type in the package name and other fixes from 2.0
git-svn-id: svn://localhost/ardour2/branches/3.0@8962 d708f5d6-7413-0410-9779-e7cbd77b26cf
Diffstat (limited to 'tools/linux_packaging/ardour.sh.in')
-rw-r--r--tools/linux_packaging/ardour.sh.in24
1 files changed, 23 insertions, 1 deletions
diff --git a/tools/linux_packaging/ardour.sh.in b/tools/linux_packaging/ardour.sh.in
index 4ba1a48945..72c70380c5 100644
--- a/tools/linux_packaging/ardour.sh.in
+++ b/tools/linux_packaging/ardour.sh.in
@@ -1,5 +1,22 @@
#!/bin/sh
+while [ $# -gt 0 ] ; do
+ echo "arg = $1"
+ case $1 in
+
+ -d)
+ DEBUG="T";
+ shift ;;
+ *)
+ #catch all for unknown arguments
+ echo ""
+ echo "!!! ERROR !!! - Unknown argument $1"
+ echo ""
+ exit 1
+ ;;
+ esac
+done
+
#LD_LIBRARY_PATH needs to be set (empty) so that epa can swap between the original and the bundled version
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
@@ -34,7 +51,12 @@ export LD_LIBRARY_PATH=$INSTALL_DIR/lib${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
sed "s?@ROOTDIR@/modules?$LIB_DIR/modules?" < $ETC_DIR/pango.modules.in > $USER_ARDOUR_DIR/pango.modules
sed "s?@ROOTDIR@/loaders?$LIB_DIR/loaders?" < $ETC_DIR/gdk-pixbuf.loaders.in > $USER_ARDOUR_DIR/gdk-pixbuf.loaders
-exec $INSTALL_DIR/bin/ardour-3.0 "$@"
+if [ "T" = "$DEBUG" ]; then
+ export ARDOUR_INSIDE_GDB=1
+ exec gdb $INSTALL_DIR/bin/ardour-3.0 "$@"
+else
+ exec $INSTALL_DIR/bin/ardour-3.0 "$@"
+fi